{% extends 'catalog/base.html' %}

{% block content %}
    <h1>Genres</h1>

    <ul>
        {% if genre_list %}
            {% for genre in genre_list %}
                <li><strong><a href="{% url 'genre_detail' pk=genre.pk %}">{{ genre.name }}</a></strong></li>
                <br>
                {% if user.is_staff %}
                    <a class="btn btn-info" href="{% url 'genre_update' pk=genre.pk %}">Update</a>
                    <a class="btn btn-danger" href="{% url 'genre_delete' pk=genre.pk %}">Delete</a>
                    <hr>
                {% endif %}
            {% endfor %}
        {% else %}
            <h4>No Genres.</h4>

        {% endif %}
    </ul>

{% endblock %}